/**
 * Simple Server Worker for the notifications
 * Created by paulocristo on 01/07/2020.
 * Service Worker for Web Notifications
 */
console.log('Starting Web Service Worker');

self.addEventListener('message', function (evt) {
    //TODO phase 2, when we receive the message we send a request to the push subscription API
    //in order to update the data on DB (but only signal if the data is different from when originally susbcribed)
    console.log('[Service worker] postMessage received', evt.data.data);
});

self.addEventListener('notificationclick', function(event) {

    console.log('[Service Worker] Notification click Received.');
    event.notification.close();

});
